Bug 488137 - change spacewalk to use cobbler_xmlrpc instead of cobbler_xmlrpc_rw
change spacewalk to use cobbler_xmlrpc instead of cobbler_xmlrpc_rw
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
0.5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Partha Aji
Jesus M. Rodriguez
:
Depends On:
Blocks: space05
  Show dependency treegraph
 
Reported: 2009-03-02 15:51 EST by Jesus M. Rodriguez
Modified: 2009-09-17 03:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:10:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesus M. Rodriguez 2009-03-02 15:51:28 EST
This release contains numerous XMLRPC performance enhancements that will be very beneficial to spacewalk.    XMLRPC now suffers no penalty for large configurations other than at cobblerd startup, in particular, and cobblerd is now one process instead of four.   Anyway, I think I've mentioned this before, but Spacewalk /must/ be coded to know that the following XMLRPC endpoint is going away:

http://cobbler.example.org/cobbler_xmlrpc_rw

The correct process to connect to any version of cobbler is

connect first to http://cobbler.example.org/cobbler_xmlrpc

If the version call yields >=1.5,  go ahead and login against the above URL

If that version is <1.5, log in to cobbler_xmlrpc_rw

(Please do not modify the Apache configuration to keep cobbler_xmlrpc_rw pointing to the old URL, and also do not connect to an XMLRPC port number directly as the users can change these ports)

Changing spacewalk code now to anticipate this release is recommended.

(There are no API changes, this only effects the endpoint)

Future versions of Spacewalk can just require Cobbler >= 1.6 and not have the code to look for the correct endpoint.

--Michael
Comment 1 Dave Parker 2009-03-09 03:00:03 EDT
Michael,

As far as I've been able to determine, spacewalk has been talking to cobbler via this url pattern:

"http://" + cobblerServer + ":" + cobblerServerPort + "/cobbler_api_rw";

I'm unsure if this is just some configuration thing we're doing when we set up cobbler or if you've mistyped the url in the bug specification - can you (or Paji) clarify?
Comment 2 Partha Aji 2009-03-11 16:13:28 EDT
Should be resolved in the next revision of cobbler
http://git.fedorahosted.org/git/spacewalk.git?p=spacewalk.git;a=commit;h=97107baf60e5b96970b2e66d7be5b9fbab19b521

basic logic

if cobbler_version > 1.6 => use cobbler_api , else use cobbler_api_rw
Comment 3 Michael DeHaan 2009-03-11 16:25:22 EDT
The following diff looks odd to me:

-        return "http://" + cobblerServer + ":" + cobblerServerPort + "/cobbler_api_rw";

+        return "http://" + cobblerServer + ":" + cobblerServerPort;

Here you are no longer using the API endpoint, which you should be using.

Also, why not https:// ?
Comment 4 Partha Aji 2009-03-28 01:11:37 EDT
Moving to ON_QA
Comment 5 Jesus M. Rodriguez 2009-04-14 10:13:21 EDT
Spacewalk 0.5 released.
Comment 6 Miroslav Suchý 2009-09-17 03:10:48 EDT
Spacewalk 0.5 has been released for long time ago.

Note You need to log in before you can comment on or make changes to this bug.